Groovy Documentation

## org.codehaus.groovy.grails.web.metaclass
[Java] Class GetParamsDynamicProperty

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicProperty
          org.codehaus.groovy.grails.web.metaclass.AbstractDynamicControllerProperty
              org.codehaus.groovy.grails.web.metaclass.GetParamsDynamicProperty

    public class GetParamsDynamicProperty
    extends AbstractDynamicControllerProperty

A dynamic property that adds a "params" map to a controller for accessing request and controller parameters.

Authors:
  Graeme Rocher

Field Summary
`static java.lang.String` | `PROPERTY_NAME`

Fields inherited from class AbstractDynamicControllerProperty
request, response

Constructor Summary
`GetParamsDynamicProperty(HttpServletRequest request, HttpServletResponse response)`

Method Summary
`void` | `addParam(java.lang.String paramName, java.lang.Object paramValue)`
`void` | `addParams(java.util.Map params)`
`java.lang.Object` | `get(java.lang.Object object)`
`void` | `set(java.lang.Object object, java.lang.Object newValue)`

Methods inherited from class AbstractDynamicProperty
get, getPropertyName, isPropertyMatch, set

Field Detail

### PROPERTY_NAME

    public static final java.lang.String PROPERTY_NAME

Constructor Detail

### GetParamsDynamicProperty

    public GetParamsDynamicProperty(HttpServletRequest request, HttpServletResponse response)

Method Detail

### addParam

    public void addParam(java.lang.String paramName, java.lang.Object paramValue)

### addParams

    @SuppressWarnings("rawtypes")
    public void addParams(java.util.Map params)

### get

    @Override
    public java.lang.Object get(java.lang.Object object)

### set

    @Override
    public void set(java.lang.Object object, java.lang.Object newValue)

Groovy Documentation